Subject: Re: [dhcwg] New Version Notification for draft-ietf-dhc-addr-registration-05.txt

From: Sheng Jiang <[email-masked]>
Date: Mon, 7 Jul 2014 09:55:12 +0000

Hi, Bernie,

Thanks so much for your careful review. We will apply your comments in the next update, probably before DHC session in Toronto. Some replies regarding to point 5 below.

>5. Have you confirmed that the I-D.ietf-dhc-sedhcpv6 can indeed be used for
>this set of requests? (That actually points out an interesting issue in that the
>sedhcpv6 document mentions nothing Solicit w/Rapid Commit and whether it
>can or can't be used. And, there's text in section 6.1 of that document that
>says " If the sender is a DHCPv6 client, in the failure cases, it receives a Reply
>message with an error status code." ... what about a Solicit (w/o Rapid
>Commit) and an Advertise reply.)

As author of seDHCPv6, I don't see any reason, it cannot be used for this request. We do not mention any specific types of messages in sedhcpv6, since we think all types of messages can use the secure model.

Best regards,

Sheng

>- Bernie
>
>-----Original Message-----
>From: dhcwg [mailto:[email-masked]] On Behalf Of Sheng Jiang
>Sent: Tuesday, June 24, 2014 2:16 AM
>To: [email-masked]
>Subject: [dhcwg] FW: New Version Notification for
>draft-ietf-dhc-addr-registration-05.txt
>
>Hi, all,
>
>The authors have submitted an update version. We believe all received
>comments have been addressed. Modifications are summarized as below:
>
> - Mandated server's response for error code.
> - Added recommendation for only one registration server out of multiple
>DHCPv6 servers.
> - Added specification that the registration server should record the binding
>information.
> - Allowed multiple IA_NA.
> - Clarified that the ADDR-REGISTRATION-REQUEST message is dedicated for
>clients to initiate an address registration request. So, clients MUST NOT
>include any ORO.
>
>More reviews and comments are appreciated.
>
>Best regards,
>
>Sheng
>
>>-----Original Message-----
>>From: [email-masked] [mailto:[email-masked]]
>>Sent: Tuesday, June 24, 2014 2:13 PM
>>To: Suresh Krishnan; Rajiv Asati; Gang Chen; Sheng Jiang; Suresh
>>Krishnan; Sheng Jiang; Gang Chen; Rajiv Asati
>>Subject: New Version Notification for
>>draft-ietf-dhc-addr-registration-05.txt
>>
>>
>>A new version of I-D, draft-ietf-dhc-addr-registration-05.txt
>>has been successfully submitted by Sheng Jiang and posted to the IETF
>>repository.
>>
>>Name:		draft-ietf-dhc-addr-registration
>>Revision:	05
>>Title:		Registering Self-generated IPv6 Addresses in DNS using DHCPv6
>>Document date:	2014-06-23
>>Group:		dhc
>>Pages:		8
>>URL:
>>http://www.ietf.org/internet-drafts/draft-ietf-dhc-addr-registration-05
>>.txt
>>Status:
>>https://datatracker.ietf.org/doc/draft-ietf-dhc-addr-registration/
>>Htmlized:
>>http://tools.ietf.org/html/draft-ietf-dhc-addr-registration-05
>>Diff:
>>http://www.ietf.org/rfcdiff?url2=draft-ietf-dhc-addr-registration-05
>>
>>Abstract:
>>   In networks that are centrally managed, self-generated addresses
>>   cause some traceability issues due to their decentralized nature.
>>   One of the most important issues in this regard is the inability to
>>   register such addresses in DNS.  This document defines a mechanism to
>>   register self-generated and statically configured addresses in DNS
>>   through a DHCPv6 server.
>>
>>
>>
>>
>>Please note that it may take a couple of minutes from the time of
>>submission until the htmlized version and diff are available at tools.ietf.org.
>>
>>The IETF Secretariat
>
>_______________________________________________
>dhcwg mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/dhcwg